package beilv.stadium.mapper;

import beilv.competition.domain.Competition;
import beilv.stadium.domain.Stadium;
import beilv.stadium.domain.StadiumBO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface StadiumMapper {
    int toBeStadium(Stadium stadium);

    /**
     * 修改订单状态 及 状态时间
     */
    int cancellStadium(Stadium stadium);

    List<Stadium> getStadimList(StadiumBO stadiumBO);

    boolean paymentVerification(Stadium stadium);

    List<Stadium> getTakePartList(Stadium stadium);

    Competition getCompetitionInfo(String orderId);

//    int closeStadiumById(Stadium stadium);
}
